[HOME] [DOWNLOAD] [DOCS] [BLOG] [SUPPORT] [TIPS] [ISSUES] [Priority Support]

Could not OpenPGP verify authenticity of Whonix News - Help


#1

Hello, i’ve been using Whonix 13 through VB for month but today the Gateway gave me that:

ERROR: Whonix News Download Result:
Could not OpenPGP verify authenticity of Whonix News !!!
(gpg_bash_lib_output_gpg_verify_exit_code: 0 | gpg_bash_lib_output_validsig_status: true | gpg_bash_lib_output_alright_status: false | gpg_bash_lib_output_failure: )
This is either,

  • a Whonix Bug,
  • an attack on Whonix,
  • or Whonix News Keys might be outdated. Upgrading using apt-get might fix this.
    INFO: Whonix News gpg_bash_lib_output_diagnostic_message:
    gpg_bash_lib_internal_gpg_verify_status_fd_file: /tmp/tmp.fmjX8vTxs0/news/verify_dir/news_gpg/gpg_bash_lib_internal_gpg_verify_status_fd_file
    gpg_bash_lib_internal_gpg_verify_output_file: /tmp/tmp.fmjX8vTxs0/news/verify_dir/news_gpg/gpg_bash_lib_internal_gpg_verify_output_file
    gpg_bash_lib_output_gpg_import_output:
    gpg: keyring /tmp/tmp.fmjX8vTxs0/news/verify_dir/news_gpg/secring.gpg' created gpg: keyring/tmp/tmp.fmjX8vTxs0/news/verify_dir/news_gpg/pubring.gpg’ created
    gpg: /tmp/tmp.fmjX8vTxs0/news/verify_dir/news_gpg/trustdb.gpg: trustdb created
    gpg: key 2EEACCDA: public key "Patrick Schleizer " imported
    gpg: Total number processed: 1
    gpg: imported: 1 (RSA: 1)
    gpg: no ultimately trusted keys found
    gpg_bash_lib_output_gpg_verify_output:
    gpg: Signature made Fri 05 May 2017 07:05:55 PM UTC using RSA key ID 77BB3C48
    gpg: Good signature from "Patrick Schleizer "
    gpg: Signature notation: issuer-fpr@notations.openpgp.fifthhorseman.net=6E979B28A6F37C43BE30AFA1CB8D50BB77BB3C48
    gpg: Signature notation: file@name=whonix_news.tar.xz
    Primary key fingerprint: 916B 8D99 C38E AF5E 8ADC 7A2A 8D66 066A 2EEA CCDA
    Subkey fingerprint: 6E97 9B28 A6F3 7C43 BE30 AFA1 CB8D 50BB 77BB 3C48
    gpg_bash_lib_output_gpg_verify_status_fd_output:
    [GNUPG:] SIG_ID pCn6lI++d6Id5usPnjEWPU8+04I 2017-05-05 1494011155
    [GNUPG:] GOODSIG CB8D50BB77BB3C48 Patrick Schleizer
    [GNUPG:] NOTATION_NAME issuer-fpr@notations.openpgp.fifthhorseman.net
    [GNUPG:] NOTATION_DATA 6E979B28A6F37C43BE30AFA1CB8D50BB77BB3C48
    [GNUPG:] NOTATION_NAME file@name
    [GNUPG:] NOTATION_DATA whonix_news.tar.xz
    [GNUPG:] VALIDSIG 6E979B28A6F37C43BE30AFA1CB8D50BB77BB3C48 2017-05-05 1494011155 0 4 0 1 10 00 916B8D99C38EAF5E8ADC7A2A8D66066A2EEACCDA
    [GNUPG:] TRUST_ULTIMATE

#2

I’ve got the same message a couple of minutes ago (and running WhonixCheck again didn’t help)


#3

I’ve got the error as well. Same one posted from awhile ago.


#4

I got this error as well. Tried apt-get update and dist-upgrade, but I am still getting the same error.


#5

Fixed.


#6

I’ve got the error message today. Could you please fix it again?


#7

I have the same problem for several days already. To fix it, do you just need time or certain actions?


#8

Wait for Patrick to fix this


#9

Fixed.